OBJ = ${SRC:.c=.o}

NAME = libftx.a

LIBS = libft/libft.a gnl/get_next_line.a printf/ft_printf.a extra/extra.a

CC = clang

FLAG = -Wall -Wextra -Werror

all: ${NAME}

${NAME}: ${OBJ}
	make -C extra
	make -C libft
	make -C gnl
	make -C printf
	ar -rcT $(NAME) $(LIBS)

clean: 
	make -C extra clean
	make -C libft clean
	make -C gnl clean
	make -C printf clean

fclean: clean
		rm -f ${NAME}
		make -C extra fclean
		make -C libft fclean
		make -C printf fclean
		make -C gnl fclean

re: fclean all

.PHONY: all clean fclean re
